Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.errors
Class BCProcessor

    java.lang.Object
      com.sun.tdk.signaturetest.errors.ErrorFormatter
          com.sun.tdk.signaturetest.errors.SortedErrorFormatter
              com.sun.tdk.signaturetest.errors.HumanErrorFormatter
                  com.sun.tdk.signaturetest.errors.BCProcessor

    public class BCProcessor

extends HumanErrorFormatter

This is backward compatibility postprocessor.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.errors.ErrorFormatter
`ErrorFormatter.Message`

Field Summary

Fields inherited from class com.sun.tdk.signaturetest.errors.SortedErrorFormatter
`failedMessages, tabSize`

Fields inherited from class com.sun.tdk.signaturetest.errors.ErrorFormatter
`annoAdded, annoMissed, numErrors, numWarnings`

Constructor Summary
`BCProcessor(java.io.PrintWriter out, boolean isv, boolean binMode, ClassHierarchy classHierarchy, ClassHierarchy sigFileClassHierarchy, java.util.logging.Level l, boolean extensibleInterfaces)` Assign the given PrintWriter to print error messages.

Method Summary
`protected Handler` | `constructHandlerChain()`
`protected void` | `outProcessedErrors()`

Methods inherited from class com.sun.tdk.signaturetest.errors.HumanErrorFormatter
`printErrors, sortErrors`

Methods inherited from class com.sun.tdk.signaturetest.errors.SortedErrorFormatter
`addError, getTestedsuper, isVerbose, msgCompare, msgExclude, setTestedsuper, setVerbose, space, tested`

Methods inherited from class com.sun.tdk.signaturetest.errors.ErrorFormatter
`addError, createError, getNumErrors, getNumWarnings`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BCProcessor

    public BCProcessor(java.io.PrintWriter out,
                       boolean isv,
                       boolean binMode,
                       ClassHierarchy classHierarchy,
                       ClassHierarchy sigFileClassHierarchy,
                       java.util.logging.Level l,
                       boolean extensibleInterfaces)

  Assign the given PrintWriter to print error messages.

Method Detail

### constructHandlerChain

    protected Handler constructHandlerChain()

  Overrides:
    `constructHandlerChain` in class `HumanErrorFormatter`

### outProcessedErrors

    protected void outProcessedErrors()

  Overrides:
    `outProcessedErrors` in class `HumanErrorFormatter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD